Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class AbstractStringAction

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.AbstractStringAction

All Implemented Interfaces:
  Action, Command

Direct Known Subclasses:
  AuditoriumText, BulletinLine, ChatSay, CreateChatDialog, CreateDialog, DeIgnoreUser, EmailLastLine, EmailNextLine, EmailText, EnterPrivateRoom, EnterPublicRoom, FileText, FileTextPing, GameError, GatewayExit, GatewayRecv, GatewaySend, IdentifyUser, IgnoreUser, LastPostingLine, LocateUser, LocateUserText, NextPostingLine, OE, OM, PartnerSearchMessage, PlayerLeftGame, PlayerNotInRoomError, PostingSuccess, QuestionLastLine, QuestionNextLine, ReadOLM, SelectPartner, SendEmail, SendOLM, SendOLMAck, SendSYSOLM, TestText, Toss

public class AbstractStringAction
extends AbstractAction

Field Summary
`protected java.lang.String` | `_sData`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`AbstractStringAction(byte[] data, int start, int len)`
`AbstractStringAction(java.lang.String mnemonic)`
`AbstractStringAction(java.lang.String mnemonic, java.lang.String data)`

Method Summary
`byte[]` | `getBytes()`
`java.lang.String` | `getData()`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### _sData

    protected java.lang.String _sData

Constructor Detail

### AbstractStringAction

    public AbstractStringAction(byte[] data,
                                int start,
                                int len)
                         throws CRCException

Parameters:
  `data` -
  `start` -
  `len` -
Throws:
  `CRCException`

### AbstractStringAction

    public AbstractStringAction(java.lang.String mnemonic,
                                java.lang.String data)

### AbstractStringAction

    public AbstractStringAction(java.lang.String mnemonic)

Parameters:
  `mnemonic` -

Method Detail

### getData

    public java.lang.String getData()

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `Command`
  Overrides:
    `getBytes` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD